<?php

class detect_ad_block {

    private $settings = array();

    public function __construct() {
        $this->settings = get_option('anti_block_settings');
    }

    private function show_again() {
        if (isset($_SESSION['has_read']) && $this->settings['do_not_nag'] == 1) {
            return false;
        }
        return true;
    }

    public function mark_as_read() {
        $_SESSION['has_read'] = 1;
        return true;
    }

    public function detect() {

        if (!empty($this->settings)) { //make sure the settings are there

            if (!$this->show_again()) {
                return;
            }
            ?>
            <div id="no_ads">
                <h1><?php echo htmlentities($this->settings['title'], ENT_QUOTES) ?></h2>
                    <p>
                        <?php echo nl2br(htmlentities($this->settings['message'], ENT_QUOTES)) ?></p>
                    <div id="msg_buttons">
                        <form id="ad_options_form" method="post">
                            <ul>
                                <li><input class="adbtns" id="ab_understand" name="ab_understand" type="submit" value="<?php echo htmlentities($this->settings['okay_btn'], ENT_QUOTES) ?>"></li>
                                <li><input class="adbtns" id="ab_stop_nagging" name="ab_stop_nagging" type="submit" value="<?php echo htmlentities($this->settings['no_btn'], ENT_QUOTES) ?>"></li>
                            </ul>
                        </form>
                    </div>
            </div>
            <script>
                jQuery(document).ready(function() {
                    if (jQuery("#advert").length === 0) {
                        jQuery("#no_ads").abModal({closeButton: "#close_anti_block"});
                    }
                });
            </script>
            <?php
        }
    }
}
